package com.casic.missiles.mapper.sys;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.casic.missiles.model.system.UserPush;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MessagePushMapper extends BaseMapper<UserPush> {

    UserPush getPushByUserId(@Param("userId") Long userId, @Param("type") String type);

    List<Long> getUserIdsByDeptId(@Param("deptId") Long deptId);
    List<String> getEnableClientList(@Param("userIds") List<Long> userIds);

}
